Project Site KPI¶
Project Site KPI - Get Site KPI¶
HTTP Request
GET /api/site-kpis/{id}
📋 Description: Fetches detailed key performance indicators (KPIs) for a specific real estate property within the Nakisa Portfolio Management Suite, enabling users to analyze portfolio and asset performance effectively.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "year1to5": 0.1,
10 "year6to10": 0.1,
11 "year11to15": 0.1,
12 "year16to20": 0.1,
13 "cam": 0.1,
14 "realtyTaxes": 0.1,
15 "pylonSighCosts": 0.1,
16 "misc": 0.1,
17 "storage": 0.1,
18 "fixturingDays": 0.1,
19 "ner": 0.1,
20 "ger": 0.1,
21 "projectSiteRelationId": 0,
22 "site": "string",
23 "siteId": 0,
24 "siteExternalId": "string",
25 "isDraft": true,
26 "siteCurrency": "string",
27 "siteMeasureUnit": "string"
28}
Project Site KPI - Update Site KPI¶
HTTP Request
PUT /api/site-kpis/{id}
📋 Description: Updates the specified Key Performance Indicator (KPI) for a portfolio asset within the Nakisa Portfolio Management Suite, enabling enhanced analytics and performance tracking for real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing the updated key performance indicators (KPIs) for the specified site, including metrics and analytics relevant to portfolio and asset management within the real estate sector. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "year1to5": 0.1,
10 "year6to10": 0.1,
11 "year11to15": 0.1,
12 "year16to20": 0.1,
13 "cam": 0.1,
14 "realtyTaxes": 0.1,
15 "pylonSighCosts": 0.1,
16 "misc": 0.1,
17 "storage": 0.1,
18 "fixturingDays": 0.1,
19 "ner": 0.1,
20 "ger": 0.1,
21 "projectSiteRelationId": 0,
22 "site": "string",
23 "siteId": 0,
24 "siteExternalId": "string",
25 "isDraft": true,
26 "siteCurrency": "string",
27 "siteMeasureUnit": "string"
28}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Project Site KPI - Delete Site KPI¶
HTTP Request
DELETE /api/site-kpis/{id}
📋 Description: Deletes a specified Key Performance Indicator (KPI) from the Nakisa Portfolio Management Suite, enabling users to maintain accurate and relevant analytics for portfolio and asset management within real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
204 |
No Content |
None |
Project Site KPI - Create Site KPI¶
HTTP Request
POST /api/site-kpis
📋 Description: Creates new Key Performance Indicators (KPIs) for portfolio assets within the Nakisa Portfolio Management Suite, enabling enhanced analytics and performance tracking for real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing key performance indicators (KPIs) related to portfolio and asset analytics for real estate properties. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "year1to5": 0.1,
10 "year6to10": 0.1,
11 "year11to15": 0.1,
12 "year16to20": 0.1,
13 "cam": 0.1,
14 "realtyTaxes": 0.1,
15 "pylonSighCosts": 0.1,
16 "misc": 0.1,
17 "storage": 0.1,
18 "fixturingDays": 0.1,
19 "ner": 0.1,
20 "ger": 0.1,
21 "projectSiteRelationId": 0,
22 "site": "string",
23 "siteId": 0,
24 "siteExternalId": "string",
25 "isDraft": true,
26 "siteCurrency": "string",
27 "siteMeasureUnit": "string"
28}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
201 |
Created |
integer |
Example Responses
10
Project Site KPI - Get Site KPIby Project ID¶
HTTP Request
GET /api/site-kpis/projects/{projectId}
📋 Description: Retrieves key performance indicators (KPIs) for a specified project within the Nakisa Portfolio Management Suite, enabling users to analyze portfolio performance and asset management in the context of real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
projectId |
path |
integer(int64) |
true |
Unique identifier for the project |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "year1to5": 0.1,
11 "year6to10": 0.1,
12 "year11to15": 0.1,
13 "year16to20": 0.1,
14 "cam": 0.1,
15 "realtyTaxes": 0.1,
16 "pylonSighCosts": 0.1,
17 "misc": 0.1,
18 "storage": 0.1,
19 "fixturingDays": 0.1,
20 "ner": 0.1,
21 "ger": 0.1,
22 "projectSiteRelationId": 0,
23 "site": "string",
24 "siteId": 0,
25 "siteExternalId": "string",
26 "isDraft": true,
27 "siteCurrency": "string",
28 "siteMeasureUnit": "string"
29 }
30]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing key performance indicators (KPIs) for project sites within the Nakisa Portfolio Management Suite, facilitating analytics and insights into portfolio and asset performance in the real estate property sector.] |
|
» createdBy |
string |
false |
none |
Username of who created this resource |
» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
» createdDate |
string(date-time) |
false |
none |
Date of the created |
» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
» externalId |
string |
false |
none |
Unique identifier for the external |
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» year1to5 |
number(double) |
false |
none |
Value for year1to5 field |
» year6to10 |
number(double) |
false |
none |
Value for year6to10 field |
» year11to15 |
number(double) |
false |
none |
Value for year11to15 field |
» year16to20 |
number(double) |
false |
none |
Value for year16to20 field |
» cam |
number(double) |
false |
none |
Value for cam field |
» realtyTaxes |
number(double) |
false |
none |
Value for realtyTaxes field |
» pylonSighCosts |
number(double) |
false |
none |
Value for pylonSighCosts field |
» misc |
number(double) |
false |
none |
Value for misc field |
» storage |
number(double) |
false |
none |
Value for storage field |
» fixturingDays |
number(double) |
false |
none |
Value for fixturingDays field |
» ner |
number(double) |
false |
none |
Value for ner field |
» ger |
number(double) |
false |
none |
Value for ger field |
» projectSiteRelationId |
integer(int64) |
false |
none |
Unique identifier for the project site relation |
» site |
string |
false |
none |
Represents the specific site associated with a project within the Nakisa Portfolio Management Suite, facilitating portfolio analysis and asset management in the real estate sector. |
» siteId |
integer(int64) |
false |
none |
Unique identifier for the site |
» siteExternalId |
string |
false |
none |
Unique identifier for the site external |
» isDraft |
boolean |
false |
none |
Whether the resource is draft |
» siteCurrency |
string |
false |
none |
Represents the currency used for financial transactions and reporting within the portfolio and asset analytics for real estate properties in the Nakisa Portfolio Management Suite. |
» siteMeasureUnit |
string |
false |
none |
Specifies the measurement unit used for site-related key performance indicators within the Nakisa Portfolio Management Suite, facilitating accurate analytics for portfolio and asset management in real estate properties. |
Project Site KPI - Delete Site KPIby Relation ID¶
HTTP Request
DELETE /api/site-kpis/relations/{relationId}
📋 Description: Deletes a specified relationship between key performance indicators (KPIs) within the Nakisa Portfolio Management Suite, enabling users to maintain accurate and relevant portfolio analytics for real estate assets.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
relationId |
path |
integer(int64) |
true |
Unique identifier for the relation |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
204 |
No Content |
None |